std::mem_fun_ref_t< _Ret, _Tp >(3cxx)

NAME
std::mem_fun_ref_t< _Ret, _Tp > - One of the adaptors for member pointers.

SYNOPSIS

#include <stl_function.h>

Inherits std::unary_function< _Tp, _Ret >.

  Public Types

typedef _Tp argument_type
argument_type is the type of the argument
typedef _Ret result_type
result_type is the return type

  Public Member Functions

mem_fun_ref_t (_Ret(_Tp::*__pf)())
_Ret operator() (_Tp &__r) const

Detailed Description

  template<typename _Ret, typename _Tp>
class std::mem_fun_ref_t< _Ret, _Tp >"One of the adaptors for member pointers.

Member Typedef Documentation

  typedef _Tp std::unary_function< _Tp , _Ret >::argument_type [inherited]

argument_type is the type of the argument

  typedef _Ret std::unary_function< _Tp , _Ret >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.